Endpoint
POST /v3/universal-ai (sync)
Model string pattern: text/moderation/{provider}[/{model}]
Input
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | Yes | Text to moderate |
| language | string | No | ISO 639-1 language code |
Output
| Field | Type | Required | Description |
|---|---|---|---|
| nsfw_likelihood | int | Yes | |
| items | array[object] | No | |
| label | string | Yes | |
| likelihood | int | Yes | |
| category | enum | Yes | |
| subcategory | enum | Yes | |
| likelihood_score | float | Yes | |
| nsfw_likelihood_score | float | Yes |
Available Providers
| Provider | Model String | Price |
|---|---|---|
text/moderation/google | $5 per 1,000,000 chars | |
| microsoft | text/moderation/microsoft | $1 per 1,000 requests |
| openai | text/moderation/openai | Free |
| openai (text-moderation-007) | text/moderation/openai/text-moderation-007 | Free |
| openai (text-moderation-latest) | text/moderation/openai/text-moderation-latest | Free |
| openai (text-moderation-stable) | text/moderation/openai/text-moderation-stable | Free |